Get the report meta data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Report/GetReportMetaData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"report_type": "risk"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Report/GetReportMetaData"
payload = { "report_type": "risk" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({report_type: 'risk'})
};
fetch('https://api.riskportal.activeviam.com/api/Report/GetReportMetaData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Report/GetReportMetaData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'report_type' => 'risk'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Report/GetReportMetaData"
payload := strings.NewReader("{\n \"report_type\": \"risk\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Report/GetReportMetaData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"report_type\": \"risk\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Report/GetReportMetaData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"report_type\": \"risk\"\n}"
response = http.request(request)
puts response.read_body{
"bloomberg_authorisation_failure": true,
"report_meta_data": {
"status_message": "status_message",
"is_real_time_market_data": true,
"time_started": "2000-01-23T04:56:07.000+00:00",
"report_description": "report_description",
"time_risk_completed": "2000-01-23T04:56:07.000+00:00",
"organisation_id": "organisation_id",
"portfolio_id": 0,
"id": "id",
"eids": [
"eids",
"eids"
],
"portfolio_type": "derivitec",
"time_launched": "2000-01-23T04:56:07.000+00:00",
"report_view": {
"columns": [
{
"aggregation_func": "sum",
"expression": "expression",
"is_visible": true,
"multiplier": 6.027456183070403,
"format": "format",
"excel_format_stored": "excel_format_stored",
"display_name": "display_name",
"is_sortable": true,
"aggregation_func_args": [
"aggregation_func_args",
"aggregation_func_args"
],
"tool_tip": "tool_tip",
"internal_name": "internal_name",
"data_type": "data_type",
"is_pivotable": true,
"is_filterable": true
},
{
"aggregation_func": "sum",
"expression": "expression",
"is_visible": true,
"multiplier": 6.027456183070403,
"format": "format",
"excel_format_stored": "excel_format_stored",
"display_name": "display_name",
"is_sortable": true,
"aggregation_func_args": [
"aggregation_func_args",
"aggregation_func_args"
],
"tool_tip": "tool_tip",
"internal_name": "internal_name",
"data_type": "data_type",
"is_pivotable": true,
"is_filterable": true
}
],
"pivots": [
{
"pivot_key_column": "pivot_key_column",
"default_value": "default_value",
"pivot_value_column": "pivot_value_column"
},
{
"pivot_key_column": "pivot_key_column",
"default_value": "default_value",
"pivot_value_column": "pivot_value_column"
}
]
},
"error_summary": {
"bond_vol_surface_errors": [
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
},
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
}
],
"survival_curve_errors": [
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_vol_of_var_curve_errors": [
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
},
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
}
],
"commodity_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"credit_swaption_vol_cube_errors": [
{
"credit_id": "credit_id",
"name": "name"
},
{
"credit_id": "credit_id",
"name": "name"
}
],
"ir_futures_vol_cube_errors": [
{
"name": "name",
"futures_market_id": "futures_market_id"
},
{
"name": "name",
"futures_market_id": "futures_market_id"
}
],
"credit_event_errors": [
{
"default_date": "default_date",
"bond_id": "bond_id"
},
{
"default_date": "default_date",
"bond_id": "bond_id"
}
],
"recovery_rate_errors": [
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"rate_asset_errors": [
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
},
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
}
],
"cmdty_vol_surface_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"discount_curve_errors": [
{
"currency": "currency"
},
{
"currency": "currency"
}
],
"fx_cross_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
],
"equity_vol_index_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"dividend_index_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
}
],
"bond_yield_curve_errors": [
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_asset_errors": [
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
},
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
}
],
"calendar_errors": [
"calendar_errors",
"calendar_errors"
],
"dividend_index_vol_surface_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
}
],
"fx_fx_correlation_errors": [
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
},
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
}
],
"equity_vol_surface_errors": [
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
},
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
}
],
"equity_fx_correlation_errors": [
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
},
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
}
],
"swaption_vol_cube_errors": [
{
"rate_asset_id": "rate_asset_id"
},
{
"rate_asset_id": "rate_asset_id"
}
],
"andersen_buffum_parameters_errors": [
{
"equity_id": "equity_id"
},
{
"equity_id": "equity_id"
}
],
"credit_index_correlation_errors": [
{
"index_id": "index_id",
"index_name": "index_name"
},
{
"index_id": "index_id",
"index_name": "index_name"
}
],
"equity_vol_index_vol_surface_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"fx_vol_of_var_curve_errors": [
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
},
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
}
],
"equity_equity_correlation_errors": [
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
},
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
}
],
"fx_vol_surface_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
]
},
"time_completed": "2000-01-23T04:56:07.000+00:00",
"time_druid_loaded": "2000-01-23T04:56:07.000+00:00",
"portfolio_name": "portfolio_name",
"created_by_user_id": "created_by_user_id",
"is_loaded_into_druid": true,
"primary_market_data_environment_name": "primary_market_data_environment_name",
"reporting_currency": "reporting_currency",
"time_positions_loaded": "2000-01-23T04:56:07.000+00:00",
"report_definition_id": "report_definition_id",
"user_id": "user_id",
"time_saved": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"position_import_errors": [
{
"error_level": "error",
"error_columns": [
"error_columns",
"error_columns"
],
"row_data": {
"key": "row_data"
},
"message": "message",
"error_group_name": "error_group_name"
},
{
"error_level": "error",
"error_columns": [
"error_columns",
"error_columns"
],
"row_data": {
"key": "row_data"
},
"message": "message",
"error_group_name": "error_group_name"
}
],
"market_data_provider_ids": [
"market_data_provider_ids",
"market_data_provider_ids"
],
"status": "started"
}
}Get the report meta data
POST
/
api
/
Report
/
GetReportMetaData
Get the report meta data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Report/GetReportMetaData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"report_type": "risk"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Report/GetReportMetaData"
payload = { "report_type": "risk" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({report_type: 'risk'})
};
fetch('https://api.riskportal.activeviam.com/api/Report/GetReportMetaData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Report/GetReportMetaData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'report_type' => 'risk'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Report/GetReportMetaData"
payload := strings.NewReader("{\n \"report_type\": \"risk\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Report/GetReportMetaData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"report_type\": \"risk\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Report/GetReportMetaData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"report_type\": \"risk\"\n}"
response = http.request(request)
puts response.read_body{
"bloomberg_authorisation_failure": true,
"report_meta_data": {
"status_message": "status_message",
"is_real_time_market_data": true,
"time_started": "2000-01-23T04:56:07.000+00:00",
"report_description": "report_description",
"time_risk_completed": "2000-01-23T04:56:07.000+00:00",
"organisation_id": "organisation_id",
"portfolio_id": 0,
"id": "id",
"eids": [
"eids",
"eids"
],
"portfolio_type": "derivitec",
"time_launched": "2000-01-23T04:56:07.000+00:00",
"report_view": {
"columns": [
{
"aggregation_func": "sum",
"expression": "expression",
"is_visible": true,
"multiplier": 6.027456183070403,
"format": "format",
"excel_format_stored": "excel_format_stored",
"display_name": "display_name",
"is_sortable": true,
"aggregation_func_args": [
"aggregation_func_args",
"aggregation_func_args"
],
"tool_tip": "tool_tip",
"internal_name": "internal_name",
"data_type": "data_type",
"is_pivotable": true,
"is_filterable": true
},
{
"aggregation_func": "sum",
"expression": "expression",
"is_visible": true,
"multiplier": 6.027456183070403,
"format": "format",
"excel_format_stored": "excel_format_stored",
"display_name": "display_name",
"is_sortable": true,
"aggregation_func_args": [
"aggregation_func_args",
"aggregation_func_args"
],
"tool_tip": "tool_tip",
"internal_name": "internal_name",
"data_type": "data_type",
"is_pivotable": true,
"is_filterable": true
}
],
"pivots": [
{
"pivot_key_column": "pivot_key_column",
"default_value": "default_value",
"pivot_value_column": "pivot_value_column"
},
{
"pivot_key_column": "pivot_key_column",
"default_value": "default_value",
"pivot_value_column": "pivot_value_column"
}
]
},
"error_summary": {
"bond_vol_surface_errors": [
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
},
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
}
],
"survival_curve_errors": [
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_vol_of_var_curve_errors": [
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
},
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
}
],
"commodity_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"credit_swaption_vol_cube_errors": [
{
"credit_id": "credit_id",
"name": "name"
},
{
"credit_id": "credit_id",
"name": "name"
}
],
"ir_futures_vol_cube_errors": [
{
"name": "name",
"futures_market_id": "futures_market_id"
},
{
"name": "name",
"futures_market_id": "futures_market_id"
}
],
"credit_event_errors": [
{
"default_date": "default_date",
"bond_id": "bond_id"
},
{
"default_date": "default_date",
"bond_id": "bond_id"
}
],
"recovery_rate_errors": [
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"rate_asset_errors": [
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
},
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
}
],
"cmdty_vol_surface_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"discount_curve_errors": [
{
"currency": "currency"
},
{
"currency": "currency"
}
],
"fx_cross_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
],
"equity_vol_index_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"dividend_index_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
}
],
"bond_yield_curve_errors": [
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_asset_errors": [
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
},
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
}
],
"calendar_errors": [
"calendar_errors",
"calendar_errors"
],
"dividend_index_vol_surface_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
}
],
"fx_fx_correlation_errors": [
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
},
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
}
],
"equity_vol_surface_errors": [
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
},
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
}
],
"equity_fx_correlation_errors": [
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
},
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
}
],
"swaption_vol_cube_errors": [
{
"rate_asset_id": "rate_asset_id"
},
{
"rate_asset_id": "rate_asset_id"
}
],
"andersen_buffum_parameters_errors": [
{
"equity_id": "equity_id"
},
{
"equity_id": "equity_id"
}
],
"credit_index_correlation_errors": [
{
"index_id": "index_id",
"index_name": "index_name"
},
{
"index_id": "index_id",
"index_name": "index_name"
}
],
"equity_vol_index_vol_surface_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"fx_vol_of_var_curve_errors": [
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
},
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
}
],
"equity_equity_correlation_errors": [
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
},
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
}
],
"fx_vol_surface_errors": [
{
"fx_cross_id": "fx_cross_id"
},
{
"fx_cross_id": "fx_cross_id"
}
]
},
"time_completed": "2000-01-23T04:56:07.000+00:00",
"time_druid_loaded": "2000-01-23T04:56:07.000+00:00",
"portfolio_name": "portfolio_name",
"created_by_user_id": "created_by_user_id",
"is_loaded_into_druid": true,
"primary_market_data_environment_name": "primary_market_data_environment_name",
"reporting_currency": "reporting_currency",
"time_positions_loaded": "2000-01-23T04:56:07.000+00:00",
"report_definition_id": "report_definition_id",
"user_id": "user_id",
"time_saved": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"position_import_errors": [
{
"error_level": "error",
"error_columns": [
"error_columns",
"error_columns"
],
"row_data": {
"key": "row_data"
},
"message": "message",
"error_group_name": "error_group_name"
},
{
"error_level": "error",
"error_columns": [
"error_columns",
"error_columns"
],
"row_data": {
"key": "row_data"
},
"message": "message",
"error_group_name": "error_group_name"
}
],
"market_data_provider_ids": [
"market_data_provider_ids",
"market_data_provider_ids"
],
"status": "started"
}
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Success
Available options:
Derivitec.Web.Core.Reports.ApiReportMetaDataResponse, Derivitec.Web.Core - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Example:
{
"status_message": "status_message",
"is_real_time_market_data": true,
"time_started": "2000-01-23T04:56:07.000+00:00",
"report_description": "report_description",
"time_risk_completed": "2000-01-23T04:56:07.000+00:00",
"organisation_id": "organisation_id",
"portfolio_id": 0,
"id": "id",
"eids": ["eids", "eids"],
"portfolio_type": "derivitec",
"time_launched": "2000-01-23T04:56:07.000+00:00",
"report_view": {
"columns": [
{
"aggregation_func": "sum",
"expression": "expression",
"is_visible": true,
"multiplier": 6.027456183070403,
"format": "format",
"excel_format_stored": "excel_format_stored",
"display_name": "display_name",
"is_sortable": true,
"aggregation_func_args": [
"aggregation_func_args",
"aggregation_func_args"
],
"tool_tip": "tool_tip",
"internal_name": "internal_name",
"data_type": "data_type",
"is_pivotable": true,
"is_filterable": true
},
{
"aggregation_func": "sum",
"expression": "expression",
"is_visible": true,
"multiplier": 6.027456183070403,
"format": "format",
"excel_format_stored": "excel_format_stored",
"display_name": "display_name",
"is_sortable": true,
"aggregation_func_args": [
"aggregation_func_args",
"aggregation_func_args"
],
"tool_tip": "tool_tip",
"internal_name": "internal_name",
"data_type": "data_type",
"is_pivotable": true,
"is_filterable": true
}
],
"pivots": [
{
"pivot_key_column": "pivot_key_column",
"default_value": "default_value",
"pivot_value_column": "pivot_value_column"
},
{
"pivot_key_column": "pivot_key_column",
"default_value": "default_value",
"pivot_value_column": "pivot_value_column"
}
]
},
"error_summary": {
"bond_vol_surface_errors": [
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
},
{
"bond_short_name": "bond_short_name",
"futures_market_id": "futures_market_id"
}
],
"survival_curve_errors": [
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"default_type": "default_type",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_vol_of_var_curve_errors": [
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
},
{
"eq_vol_of_var_index_id": "eq_vol_of_var_index_id",
"eq_vol_of_var_index_ric": "eq_vol_of_var_index_ric"
}
],
"commodity_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"credit_swaption_vol_cube_errors": [
{ "credit_id": "credit_id", "name": "name" },
{ "credit_id": "credit_id", "name": "name" }
],
"ir_futures_vol_cube_errors": [
{
"name": "name",
"futures_market_id": "futures_market_id"
},
{
"name": "name",
"futures_market_id": "futures_market_id"
}
],
"credit_event_errors": [
{
"default_date": "default_date",
"bond_id": "bond_id"
},
{
"default_date": "default_date",
"bond_id": "bond_id"
}
],
"recovery_rate_errors": [
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"bond_id": "bond_id",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"rate_asset_errors": [
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
},
{
"rate_asset_id": "rate_asset_id",
"reference_date": "reference_date",
"message": "message"
}
],
"cmdty_vol_surface_errors": [
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
},
{
"commodity_id": "commodity_id",
"commodity_name": "commodity_name"
}
],
"discount_curve_errors": [
{ "currency": "currency" },
{ "currency": "currency" }
],
"fx_cross_errors": [
{ "fx_cross_id": "fx_cross_id" },
{ "fx_cross_id": "fx_cross_id" }
],
"equity_vol_index_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_name": "eq_vol_index_name",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"dividend_index_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_name": "dividend_index_name",
"dividend_index_ric": "dividend_index_ric"
}
],
"bond_yield_curve_errors": [
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
},
{
"issuer_id": "issuer_id",
"currency": "currency",
"debt_type": "debt_type",
"issuer_name": "issuer_name"
}
],
"equity_asset_errors": [
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
},
{
"notes": "notes",
"asset_edi_code": "asset_edi_code",
"asset_ric": "asset_ric",
"asset_x_ignite_code": "asset_x_ignite_code",
"asset_id": "asset_id"
}
],
"calendar_errors": ["calendar_errors", "calendar_errors"],
"dividend_index_vol_surface_errors": [
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
},
{
"dividend_index_id": "dividend_index_id",
"dividend_index_ric": "dividend_index_ric"
}
],
"fx_fx_correlation_errors": [
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
},
{
"fx_cross2_name": "fx_cross2_name",
"fx_cross1_id": "fx_cross1_id",
"fx_cross1_name": "fx_cross1_name",
"fx_cross2_id": "fx_cross2_id"
}
],
"equity_vol_surface_errors": [
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
},
{
"asset_ric": "asset_ric",
"asset_id": "asset_id"
}
],
"equity_fx_correlation_errors": [
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
},
{
"eq_asset_id": "eq_asset_id",
"eq_asset_name": "eq_asset_name",
"fx_cross_id": "fx_cross_id"
}
],
"swaption_vol_cube_errors": [
{ "rate_asset_id": "rate_asset_id" },
{ "rate_asset_id": "rate_asset_id" }
],
"andersen_buffum_parameters_errors": [
{ "equity_id": "equity_id" },
{ "equity_id": "equity_id" }
],
"credit_index_correlation_errors": [
{
"index_id": "index_id",
"index_name": "index_name"
},
{
"index_id": "index_id",
"index_name": "index_name"
}
],
"equity_vol_index_vol_surface_errors": [
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
},
{
"eq_vol_index_id": "eq_vol_index_id",
"eq_vol_index_ric": "eq_vol_index_ric"
}
],
"fx_vol_of_var_curve_errors": [
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
},
{
"fx_vol_of_var_index_ric": "fx_vol_of_var_index_ric",
"fx_vol_of_var_index_id": "fx_vol_of_var_index_id"
}
],
"equity_equity_correlation_errors": [
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
},
{
"asset1_name": "asset1_name",
"asset2_name": "asset2_name",
"asset1_id": "asset1_id",
"asset2_id": "asset2_id"
}
],
"fx_vol_surface_errors": [
{ "fx_cross_id": "fx_cross_id" },
{ "fx_cross_id": "fx_cross_id" }
]
},
"time_completed": "2000-01-23T04:56:07.000+00:00",
"time_druid_loaded": "2000-01-23T04:56:07.000+00:00",
"portfolio_name": "portfolio_name",
"created_by_user_id": "created_by_user_id",
"is_loaded_into_druid": true,
"primary_market_data_environment_name": "primary_market_data_environment_name",
"reporting_currency": "reporting_currency",
"time_positions_loaded": "2000-01-23T04:56:07.000+00:00",
"report_definition_id": "report_definition_id",
"user_id": "user_id",
"time_saved": "2000-01-23T04:56:07.000+00:00",
"report_name": "report_name",
"position_import_errors": [
{
"error_level": "error",
"error_columns": ["error_columns", "error_columns"],
"row_data": { "key": "row_data" },
"message": "message",
"error_group_name": "error_group_name"
},
{
"error_level": "error",
"error_columns": ["error_columns", "error_columns"],
"row_data": { "key": "row_data" },
"message": "message",
"error_group_name": "error_group_name"
}
],
"market_data_provider_ids": [
"market_data_provider_ids",
"market_data_provider_ids"
],
"status": "started"
}
Was this page helpful?